Retrieve a comment
curl --request GET \
--url https://api.sleekplan.com/v1/post/{postid}/comment/{commentid} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sleekplan.com/v1/post/{postid}/comment/{commentid}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sleekplan.com/v1/post/{postid}/comment/{commentid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "<string>",
"data": {
"comment_id": 123,
"product_id": 123,
"feedback_id": 123,
"comment": "<string>",
"parent": 123,
"status": "<string>",
"type": "<string>",
"modified": true,
"files": [
{}
],
"pinned": true,
"public": true,
"is_active": true,
"likes": 123,
"created": "<string>",
"updated": "<string>",
"child_count": 123,
"liked": true,
"comment_html": "<string>",
"has_child": true,
"can_edit": true,
"can_delete": true,
"can_comment": true,
"can_pin": true,
"user": {
"user_id": 123,
"admin_id": 123,
"sso": true,
"anonymous": true,
"data_name": "<string>",
"data_full_name": "<string>",
"data_mail": "<string>",
"data_img": "<string>",
"segments": [
{}
]
}
}
}Comment
Retrieve a comment
GET
/
post
/
{postid}
/
comment
/
{commentid}
Retrieve a comment
Authorizations
BearerAuthBasicAuthApiKeyQuery
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Was this page helpful?
⌘I
